#!/bin/sh -ex
mkdir work
#TMPDIR=`mktemp -d`
#update-initramfs -c -k `uname -r` -b $TMPDIR
cd work
#gzip -dc $TMPDIR/init*|cpio -idmv
gzip -dc /initrd.img|cpio -idmv
rm -rf $TMPDIR

../scripts/update-initrd.sh
cd ..

dd if=/dev/zero of=usb-mbminstall.img bs=1M count=14
mkfs.vfat -n "MBM Install" usb-mbminstall.img
syslinux usb-mbminstall.img

mkdir -p pnt
mount -o loop usb-mbminstall.img pnt
cp /vmlinuz pnt
cp syslinux.cfg pnt

cd work
find .|cpio -H newc -o|gzip -9 >../pnt/initrd.img
cd ..

umount pnt
rmdir pnt

set +x
echo "Done."
cat <<EOT
正常にUSBブート用のMBMインストーラ・イメージが作成されました。
この後ddコマンドを使ってUSBメモリ等に書き込む際に
絶対に書き込み対象のディスク(もしくはUSBメモリ)を間違えないで下さい。
ddコマンド実行前に
# fdisk -l [対象のディスク]
をおこなって確認することが望ましいでしょう。
ちなみに以下のディスクは現在マウント中です。
EOT
mount|grep /dev/sd|cut -b1-8|uniq
